<?php /* DO NOT GENERATE */ ?>
@extends('pro.clients.view')
@section('content-inner')

<div class="container-fluid">
    <div class="row">
        <div class="col-md-12">
            <img class="img-thumbnail" src="" alt="profile picture">
            <p>{{$record->name_display()}}</p>
            @if($record->is_duplicate)
                <div>
                    <p> This client is a duplicate of 
                    <a href="/clients/view/{{$record->duplicateOfClient->uid}}">{{$record->duplicateOfClient->name_display()}}</a>. 
                    <a up-modal=".form-contents" up-width="800" up-history="false" href="/clients/view/8340f0ac-bd01-4744-af16-f5cabcce14f8/ACTION_setIsDuplicateToFalse" title="Set as not duplicate">✏️ </a></p>
                </div>
            @endif
            <hr/>
                -------------------------------------
                
                
                <Thumbnail>(1) <John Smith>(2) ✏️ @hover: full name
                                                   ❌✅ (7)
                <div>
                    <img class="img-thumbnail" src="" alt="profile picture">
                    <p>{{$record->name_display()}}</p>
                </div>
                
                📞 {validated_cell_number} (4) 
                <div><i class="fa fa-phone" aria-hidden="true"></i> {{$record->cell_number}}</div>
                    ✉️ {validated_email} (5) 📌 {home_address.city}, {home_address.state}(6)
                <div><i class="fa fa-envelope" aria-hidden="true"></i> {{$record->email_address}}</div>
                <div><i class="fa fa-map-pin" aria-hidden="true"></i> {{$record->home_address_city}}</div>
                <div><i class="fa fa-map-pin" aria-hidden="true"></i> {{$record->home_address_state}}</div>
                <small> {gender}, {age calc:dob}
                <div>
                    {{$record->gender_identity}}, {{$record->sex}}, {{$record->dob}}, {{$record->age_in_years}}
                </div>
                
                <small> Currently under the care of {MCP-First MCP-Last}✏️, with us since {creation.month}, {creation.date} || '8 days'}.
                @if($record->mcpPro)
                <div>
                    <p>Currently under the care of {{$record->mcpPro->name_display}}</p>
                    <a href=""><i class="fa fa-pencil" aria-hidden="true"></i></a>    
                </div>
                @else 
                    <div>
                        <p>No mcp pro assigned.</p>
                        <a href=""><i class="fa fa-pencil" aria-hidden="true"></i></a>
                    </div>
                @endif

                { If !medicare_valid || !mcp || !onboarded }
                @if(!$record->is_mcn_valid_number || !$record->mcpPro || !$record->has_mcp_done_onboarding_visit)

                    @if(!$record->is_mcn_valid_number)
                    <div>
                        { If !medicare_valid }
                            <_____DOB Input_____>
                            <_____Medicare Input_____>
                            [Validate]
                        MCN: {{$client->mcn}}
                        <a href=""><i class="fa fa-pencil" aria-hidden="true"></i></a>
                    </div>
                    @elseif($record->is_mcn_valid_number || !$record->mcpPro )
                        { Else if medicare_valid && !mcp }
                        Please assign a MCP to this client.
                        <_____Text or Email_____> [Invite]
                        <Dropdown/Datalist of MCPs> [Assign]
                        <a href="">Assign mcp pro</a>
                    @elseif($record->is_mcn_number_valid && !$record->has_mcp_done_onboarding_visit)
                        { Else if medicare_valid && !onboarded }
                         This client hasn't been onboarded yet.   
                        <div class="alert alert-info">This client hasn't been onboarded yet.</div>
                    @endif
                @endif
                { Else onboarded_already }
                
                    <main>
                        Care Monitoring:
                            { If !cmPro } <Dropdown/Datalist of possible CMs>
                            {else}  <link>{cmPro}</link> ✏️
                
                            { If cmPro }
                                { If !cm} Enroll this client into CM.
                                { Else }
                                    <small> Unenroll out of CM.
                                        @link _____why?_____ [Unenroll]
                
                        Remote Monitoring:
                            { If !rmePro } <Dropdown/Datalist of possible RMEs>
                            { Else }  <link>{rmePro}</link> ✏️
                
                            { If !rmmPro} <Dropdown/Datalist of possible RMMs>
                            {else}  <link>{rmmPro}</link> ✏️
                            
                            { If rmePro && rmmPro}
                                { If !rm} Enroll this client into RM.
                                {else}
                                    <small> Unenroll out of RM.
                                        @link _____why?_____ [Unenroll]
                
                
                        << Prev     Care Months - Month, Year     Next >> (max, one month in future)
                        { If !careMonth}
                            {mcp} ✏️
                            [Add a care month]
                
                        {else if tm}
                            ⚠️ Patient recently discharged, transitional care management billable for this month.
                
                        {else !tm && (cm || rm)}
                            Eligible for CM_20/30_HCP/90. RM_20/30/90. {calc: careMonth.totalTimeCM / careMonth.totalTimeRM}
                            Total time billed this month: {careMonth.totalTimeCM} minutes in CM, {careMonth.totalTimeRM} minutes in RM.
                
                            { If cm}
                                {cmPro} ✏️
                
                            { If rm}
                                {rmePro} ✏️
                                {rmmPro} ✏️
                
                            [Add an entry]
                            {Loop entries recent}
                                Created | Type (rm/cm) | Duration | Content | Pro
                            {/Loop entries}
                    </main>
                
                
                
                
                (6) @click: modal ✏️
                    _____home.address.line1_____
                    _____home.address.line2_____
                    _____home.address.zip_____
                    {Try to geocode zip}
                    _____home.address.city_____
                    _____home.address.state_____
                    _____home.address.lat_____
                    _____home.address.long_____
                
                    { If !mailing}
                        [✔️] Use the home address.
                        [Add a mailing address]
                            _____mailing.address.line1_____
                            _____mailing.address.line2_____
                            _____mailing.address.zip_____
                            {Try to geocode zip}
                            _____mailing.address.city_____
                            _____mailing.address.state_____
                            _____mailing.address.lat_____
                            _____mailing.address.long_____
                
                    { If !secondary}
                        _____secondary_address.reason_____
                        _____secondary_address.when_____
                        [Add secondary]
                
                        <Use the same template as above>
                
                
                (7) Medicare number can either be invalid, or empty, something which can't be validated: don't show anything.
                    Or, it can be a valid medicare number, but for some reason is NO GOOD for us: show red cross.
                    Or, it can be a valid medicare number, which is GOOD for us: show green tick.
                
                
                (9) @click: modal
                
        </div>
    </div>
</div>

@endsection
