<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Client extends Model
{

    protected $table = "client";

    public function notes()
    {
        return $this->hasMany(Note::class, 'client_id', 'id');
    }

    public function duplicateOfClient(){
        return $this->hasOne(Client::class, 'id', 'duplicate_of_client_id');
    }

    public function mcpPro(){
        return $this->hasOne(Pro::class, 'id', 'mcp_pro_id');
    }

    public function name_display(){
        return $this->name_first . ' '.$this->name_last;
    }
}
